Bug 1006472 - invalid opcode: 0000 [#1] SMP
invalid opcode: 0000 [#1] SMP
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 12:39 EDT by Mace Moneta
Modified: 2013-09-11 07:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 07:55:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from Linus (442 bytes, patch)
2013-09-10 15:33 EDT, Mace Moneta
no flags Details | Diff

  None (edit)
Description Mace Moneta 2013-09-10 12:39:23 EDT
Description of problem:

This has happened twice, each time within a few minutes of booting kernel-3.12.0-0.rc0.git16.2.fc21.x86_64.  No occurrences seen with kernel-3.12.0-0.rc0.git14.3.fc21.x86_64.

Sep 10 11:26:28 slayer kernel: [ 765.817482] ------------[ cut here ]------------
Sep 10 11:26:28 slayer kernel: [ 765.818426] kernel BUG at fs/dcache.c:648!
Sep 10 11:26:28 slayer kernel: [ 765.818426] invalid opcode: 0000 [#1] SMP 
Sep 10 11:26:28 slayer kernel: [ 765.818426] Modules linked in: rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache fuse rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack w83627ehf hwmon_vid snd_hda_codec_realtek snd_hda_intel snd_hda_codec coretemp kvm_intel snd_hwdep kvm snd_seq snd_seq_device snd_pcm iTCO_wdt iTCO_vendor_support microcode serio_raw i2c_i801 lpc_ich mfd_core btusb bluetooth r8169 rfkill mii snd_page_alloc shpchp snd_timer snd soundcore acpi_cpufreq nfsd auth_rpcgss uinput nfs_acl lockd sunrpc binfmt_misc ata_generic pata_acpi btrfs libcrc32c xor raid1 raid0 raid6_pq i915 firewire_ohci firewire_core crc_itu_t video pata_it8213 i2c_algo_bit drm_kms_helper drm i2c_dev i2c_core                                                                                                     
Sep 10 11:26:28 slayer kernel: [ 765.818426] CPU: 0 PID: 13007 Comm: gkrellm Not tainted 3.12.0-0.rc0.git16.2.fc21.x86_64 #1
Sep 10 11:26:28 slayer kernel: [ 765.818426] Hardware name: Supermicro C2SEA/C2SEA, BIOS 1.0c 03/11/2009
Sep 10 11:26:28 slayer kernel: [ 765.818426] task: ffff8801a1ff6c80 ti: ffff8801cb902000 task.ti: ffff8801cb902000
Sep 10 11:26:28 slayer kernel: [ 765.818426] RIP: 0010:[<ffffffff811c03cd>] [<ffffffff811c03cd>] dget_parent+0x6d/0x80
Sep 10 11:26:28 slayer kernel: [ 765.818426] RSP: 0018:ffff8801cb903c38 EFLAGS: 00010246
Sep 10 11:26:28 slayer kernel: [ 765.818426] RAX: 0000000000000000 RBX: ffff88022baca600 RCX: 00000000cced6f6f
Sep 10 11:26:28 slayer kernel: [ 765.818426] RDX: 000000000000006f RSI: 0000000000000000 RDI: ffff88022baca658
Sep 10 11:26:28 slayer kernel: [ 765.818426] RBP: ffff8801cb903c50 R08: 8080808080808080 R09: fefefefefefefeff
Sep 10 11:26:28 slayer kernel: [ 765.818426] R10: 2f2f2f2f2f2f2f2f R11: 722e7172742e2d2d R12: ffff88022bb2bd80
Sep 10 11:26:28 slayer kernel: [ 765.818426] R13: ffff88022baca658 R14: ffff8801a1ff6c80 R15: 0000000000000002
Sep 10 11:26:28 slayer kernel: [ 765.818426] FS: 00007fbda2e39a00(0000) GS:ffff880237c00000(0000) knlGS:0000000000000000
Sep 10 11:26:28 slayer kernel: [ 765.818426] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Sep 10 11:26:28 slayer kernel: [ 765.818426] CR2: 000000000042f860 CR3: 00000001a1d26000 CR4: 00000000000007f0
Sep 10 11:26:28 slayer kernel: [ 765.818426] Stack:
Sep 10 11:26:28 slayer kernel: [ 765.818426] ffff8801cb903de0 ffff88022bb2bd80 0000000000000000 ffff8801cb903c70
Sep 10 11:26:28 slayer kernel: [ 765.818426] ffffffff811b5508 ffff8801cb903de0 ffff88023761b003 ffff8801cb903d10
Sep 10 11:26:28 slayer kernel: [ 765.818426] ffffffff811b6225 0000000000000000 000201da00000000 ffff8801a1ff6c80
Sep 10 11:26:28 slayer kernel: [ 765.818426] Call Trace:
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811b5508>] handle_dots+0x1c8/0x290
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811b6225>] link_path_walk+0x335/0x8a0
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff8113ed21>] ? read_cache_page+0x21/0x30
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811b6bb4>] path_lookupat+0x334/0x7b0
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811b705b>] filename_lookup+0x2b/0xd0
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811baa64>] user_path_at_empty+0x54/0x90
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811baab1>] user_path_at+0x11/0x20
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811af2d0>] vfs_fstatat+0x50/0xa0
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811af4cf>] SYSC_newstat+0x1f/0x40
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff810e7cc6>] ? __audit_syscall_exit+0x1f6/0x2a0
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff811af91e>] SyS_newstat+0xe/0x10
Sep 10 11:26:28 slayer kernel: [ 765.818426] [<ffffffff81667a19>] system_call_fastpath+0x16/0x1b
Sep 10 11:26:28 slayer kernel: [ 765.818426] Code: 18 4c 8d 6b 58 4c 89 ef e8 b1 ef 49 00 49 3b 5c 24 18 75 19 8b 43 5c 85 c0 74 10 83 c0 01 89 43 5c 41 80 45 00 01 48 89 d8 eb c2 <0f> 0b 80 43 58 01 eb c9 66 66 2e 0f 1f 84 00 00 00 00 00 66 66                                                                                                                
Sep 10 11:26:28 slayer kernel: [ 765.818426] RIP [<ffffffff811c03cd>] dget_parent+0x6d/0x80
Sep 10 11:26:28 slayer kernel: [ 765.818426] RSP <ffff8801cb903c38>
Sep 10 11:26:28 slayer kernel: [ 765.929977] ---[ end trace 384aa993d7ac57c0 ]---


Version-Release number of selected component (if applicable):
kernel-3.12.0-0.rc0.git16.2.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Boot kernel-3.12.0-0.rc0.git16.2.fc21.x86_64
2.wait a few minutes
3.

Actual results:
System hung (magic sysrq ineffective, hard reset required)

Expected results:


Additional info: NFS, btrfs, sshfs in use, selinux disabled.
Comment 1 Josh Boyer 2013-09-10 13:11:19 EDT
Is btrfs the root fs?  Do you happen to know if this goes away with NFS and/or sshfs usage removed?

Can you test http://koji.fedoraproject.org/koji/taskinfo?taskID=5918864 as well, which is Linus' latest tree as of this morning?
Comment 2 Mace Moneta 2013-09-10 13:45:53 EDT
Yes, btrfs is the root fs on this system (and has been running current kernels for 15 months).  I also confirmed that the problem occurs without NFS mounted.  Testing kernel-3.12.0-0.rc0.git18.1.fc21.x86_64 now.
Comment 3 Mace Moneta 2013-09-10 14:00:19 EDT
The problem reoccured on kernel-3.12.0-0.rc0.git18.1.fc21.x86_64.  Removing sshfs also had no impact.
Comment 4 Josh Boyer 2013-09-10 14:10:45 EDT
(In reply to Mace Moneta from comment #3)
> The problem reoccured on kernel-3.12.0-0.rc0.git18.1.fc21.x86_64.  Removing
> sshfs also had no impact.

OK.  Did you happen to get any more output in your logs before the backtrace?  The git18.1 kernel should have all the various debug options enabled.
Comment 5 Mace Moneta 2013-09-10 14:18:03 EDT
Sep 10 13:56:41 slayer kernel: [  852.279994] ------------[ cut here ]------------
Sep 10 13:56:41 slayer kernel: [  852.280075] kernel BUG at fs/dcache.c:648!
Sep 10 13:56:41 slayer kernel: [  852.280138] invalid opcode: 0000 [#1] SMP 
Sep 10 13:56:41 slayer kernel: [  852.280205] Modules linked in: rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache fuse rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack w83627ehf hwmon_vid iTCO_wdt iTCO_vendor_support coretemp kvm_intel kvm snd_hda_codec_realtek microcode snd_hda_intel serio_raw snd_hda_codec snd_hwdep i2c_i801 lpc_ich mfd_core snd_seq snd_seq_device snd_pcm snd_page_alloc btusb bluetooth r8169 snd_timer mii rfkill snd soundcore shpchp acpi_cpufreq binfmt_misc uinput nfsd auth_rpcgss nfs_acl lockd sunrpc raid1 raid0 ata_generic pata_acpi btrfs libcrc32c xor raid6_pq firewire_ohci firewire_core pata_it8213 crc_itu_t i915 video i2c_algo_bit drm_kms_helper drm i2c_dev i2c_core
Sep 10 13:56:41 slayer kernel: [  852.280896] CPU: 2 PID: 10162 Comm: gkrellm Not tainted 3.12.0-0.rc0.git18.1.fc21.x86_64 #1
Sep 10 13:56:41 slayer kernel: [  852.280896] Hardware name: Supermicro C2SEA/C2SEA, BIOS 1.0c 03/11/2009
Sep 10 13:56:41 slayer kernel: [  852.280896] task: ffff8802260e4560 ti: ffff880178464000 task.ti: ffff880178464000
Sep 10 13:56:41 slayer kernel: [  852.280896] RIP: 0010:[<ffffffff8120d3ac>]  [<ffffffff8120d3ac>] dget_parent+0x1ec/0x200
Sep 10 13:56:41 slayer kernel: [  852.280896] RSP: 0018:ffff880178465c10  EFLAGS: 00010246
Sep 10 13:56:41 slayer kernel: [  852.280896] RAX: 0000000000000000 RBX: ffff8802250db780 RCX: 7e00000000000000
Sep 10 13:56:41 slayer kernel: [  852.280896] RDX: ffffffff821c71a0 RSI: 0fc0000000000000 RDI: 0000000000000246
Sep 10 13:56:41 slayer kernel: [  852.280896] RBP: ffff880178465c38 R08: ffff8802260e4d98 R09: 0000000000000001
Sep 10 13:56:41 slayer kernel: [  852.280896] R10: ffffffffff04003f R11: 0000000000000001 R12: ffff88022511d720
Sep 10 13:56:41 slayer kernel: [  852.280896] R13: ffff8802250db7d8 R14: ffff880178465fd8 R15: 0000000000000002
Sep 10 13:56:41 slayer kernel: [  852.280896] FS:  00007f2ba8d86a00(0000) GS:ffff88022f400000(0000) knlGS:0000000000000000
Sep 10 13:56:41 slayer kernel: [  852.280896] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Sep 10 13:56:41 slayer kernel: [  852.280896] CR2: 00000000006dec24 CR3: 00000001cd2b1000 CR4: 00000000000007e0
Sep 10 13:56:41 slayer kernel: [  852.280896] Stack:
Sep 10 13:56:41 slayer kernel: [  852.280896]  ffffffff8120d302 ffff880178465de0 ffff88022511d720 0000000000000000
Sep 10 13:56:41 slayer kernel: [  852.280896]  ffff8802260e4560 ffff880178465c60 ffffffff81200318 ffff880178465de0
Sep 10 13:56:41 slayer kernel: [  852.280896]  ffff880224563003 0000000000000000 ffff880178465d08 ffffffff812017c5
Sep 10 13:56:41 slayer kernel: [  852.280896] Call Trace:
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff8120d302>] ? dget_parent+0x142/0x200
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff81200318>] handle_dots+0x1c8/0x2a0
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff812017c5>] link_path_walk+0x335/0x8c0
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff812021d4>] path_lookupat+0x394/0x7f0
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff811d3b8d>] ? kmem_cache_alloc+0x10d/0x370
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff8120265b>] filename_lookup+0x2b/0xd0
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff81206164>] user_path_at_empty+0x54/0x90
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff810e901d>] ? trace_hardirqs_on+0xd/0x10
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff81743d3c>] ? _raw_spin_unlock_irq+0x2c/0x50
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff812061b1>] user_path_at+0x11/0x20
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff811f9c30>] vfs_fstatat+0x50/0xa0
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff811f9e3f>] SYSC_newstat+0x1f/0x40
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff810e8f4d>] ? trace_hardirqs_on_caller+0xfd/0x1c0
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff8137fbce>] ? trace_hardirqs_on_thunk+0x3a/0x3f
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff811fa29e>] SyS_newstat+0xe/0x10
Sep 10 13:56:41 slayer kernel: [  852.280896]  [<ffffffff8174dd99>] system_call_fastpath+0x16/0x1b
Sep 10 13:56:41 slayer kernel: [  852.280896] Code: ff e8 c9 48 f2 ff 85 c0 74 b7 48 c7 c2 b8 c7 a0 81 be 07 03 00 00 48 c7 c7 ab c3 a0 81 c6 05 48 2a b1 00 01 e8 e6 a0 ed ff eb 96 <0f> 0b 4c 89 ef e8 5a 68 53 00 e8 b5 e2 ff ff e9 42 ff ff ff 66 
Sep 10 13:56:41 slayer kernel: [  852.280896] RIP  [<ffffffff8120d3ac>] dget_parent+0x1ec/0x200
Sep 10 13:56:41 slayer kernel: [  852.280896]  RSP <ffff880178465c10>
Sep 10 13:56:41 slayer kernel: [  852.330608] ---[ end trace 4b3c969c081f8809 ]---
Sep 10 13:56:41 slayer kernel: [  852.330621] BUG: sleeping function called from invalid context at kernel/rwsem.c:20
Sep 10 13:56:41 slayer kernel: [  852.330626] in_atomic(): 1, irqs_disabled(): 0, pid: 10162, name: gkrellm
Sep 10 13:56:41 slayer kernel: [  852.330630] INFO: lockdep is turned off.
Sep 10 13:56:41 slayer kernel: [  852.330634] CPU: 2 PID: 10162 Comm: gkrellm Tainted: G      D      3.12.0-0.rc0.git18.1.fc21.x86_64 #1
Sep 10 13:56:41 slayer kernel: [  852.330638] Hardware name: Supermicro C2SEA/C2SEA, BIOS 1.0c 03/11/2009
Sep 10 13:56:41 slayer kernel: [  852.330642]  ffffffff81a2b6ea ffff880178465918 ffffffff8173ae4b 0000000000000000
Sep 10 13:56:41 slayer kernel: [  852.330657]  ffff880178465940 ffffffff810aff79 ffff8801a8f2ed68 ffff8801a8f2edc8
Sep 10 13:56:41 slayer kernel: [  852.330671]  ffff8802260e4560 ffff880178465968 ffffffff81740d5a ffff880178465978
Sep 10 13:56:41 slayer kernel: [  852.330678] Call Trace:
Sep 10 13:56:41 slayer kernel: [  852.330682]  [<ffffffff8173ae4b>] dump_stack+0x54/0x74
Sep 10 13:56:41 slayer kernel: [  852.330686]  [<ffffffff810aff79>] __might_sleep+0x179/0x230
Sep 10 13:56:41 slayer kernel: [  852.330690]  [<ffffffff81740d5a>] down_read+0x2a/0xa0
Sep 10 13:56:41 slayer kernel: [  852.330694]  [<ffffffff8108d784>] exit_signals+0x24/0x130
Sep 10 13:56:41 slayer kernel: [  852.330698]  [<ffffffff8107947c>] do_exit+0xbc/0xcd0
Sep 10 13:56:41 slayer kernel: [  852.330702]  [<ffffffff810d8318>] ? kmsg_dump+0x1b8/0x240
Sep 10 13:56:41 slayer kernel: [  852.330705]  [<ffffffff810d8185>] ? kmsg_dump+0x25/0x240
Sep 10 13:56:41 slayer kernel: [  852.330708]  [<ffffffff81745ac2>] oops_end+0xa2/0xe0
Sep 10 13:56:41 slayer kernel: [  852.330712]  [<ffffffff8101e13b>] die+0x4b/0x70
Sep 10 13:56:41 slayer kernel: [  852.330715]  [<ffffffff81745340>] do_trap+0x60/0x170
Sep 10 13:56:41 slayer kernel: [  852.330718]  [<ffffffff8101b115>] do_invalid_op+0x95/0xb0
Sep 10 13:56:41 slayer kernel: [  852.330721]  [<ffffffff8120d3ac>] ? dget_parent+0x1ec/0x200
Sep 10 13:56:41 slayer kernel: [  852.330725]  [<ffffffff810b9b58>] ? sched_clock_cpu+0xa8/0x100
Sep 10 13:56:41 slayer kernel: [  852.330729]  [<ffffffff810e57bd>] ? trace_hardirqs_off+0xd/0x10
Sep 10 13:56:41 slayer kernel: [  852.330731]  [<ffffffff8137fc0d>] ? trace_hardirqs_off_thunk+0x3a/0x3c
Sep 10 13:56:41 slayer kernel: [  852.330735]  [<ffffffff81744ba3>] ? restore_args+0x30/0x30
Sep 10 13:56:41 slayer kernel: [  852.330738]  [<ffffffff8174f4ee>] invalid_op+0x1e/0x30
Sep 10 13:56:41 slayer kernel: [  852.330741]  [<ffffffff8120d3ac>] ? dget_parent+0x1ec/0x200
Sep 10 13:56:41 slayer kernel: [  852.330744]  [<ffffffff8120d302>] ? dget_parent+0x142/0x200
Sep 10 13:56:41 slayer kernel: [  852.330747]  [<ffffffff81200318>] handle_dots+0x1c8/0x2a0
Sep 10 13:56:41 slayer kernel: [  852.330750]  [<ffffffff812017c5>] link_path_walk+0x335/0x8c0
Sep 10 13:56:41 slayer kernel: [  852.330754]  [<ffffffff812021d4>] path_lookupat+0x394/0x7f0
Sep 10 13:56:41 slayer kernel: [  852.330757]  [<ffffffff811d3b8d>] ? kmem_cache_alloc+0x10d/0x370
Sep 10 13:56:41 slayer kernel: [  852.330760]  [<ffffffff8120265b>] filename_lookup+0x2b/0xd0
Sep 10 13:56:41 slayer kernel: [  852.330763]  [<ffffffff81206164>] user_path_at_empty+0x54/0x90
Sep 10 13:56:41 slayer kernel: [  852.330766]  [<ffffffff810e901d>] ? trace_hardirqs_on+0xd/0x10
Sep 10 13:56:41 slayer kernel: [  852.330769]  [<ffffffff81743d3c>] ? _raw_spin_unlock_irq+0x2c/0x50
Sep 10 13:56:41 slayer kernel: [  852.330772]  [<ffffffff812061b1>] user_path_at+0x11/0x20
Sep 10 13:56:41 slayer kernel: [  852.330775]  [<ffffffff811f9c30>] vfs_fstatat+0x50/0xa0
Sep 10 13:56:41 slayer kernel: [  852.330778]  [<ffffffff811f9e3f>] SYSC_newstat+0x1f/0x40
Sep 10 13:56:41 slayer kernel: [  852.330781]  [<ffffffff810e8f4d>] ? trace_hardirqs_on_caller+0xfd/0x1c0
Sep 10 13:56:41 slayer kernel: [  852.330784]  [<ffffffff8137fbce>] ? trace_hardirqs_on_thunk+0x3a/0x3f
Sep 10 13:56:41 slayer kernel: [  852.330787]  [<ffffffff811fa29e>] SyS_newstat+0xe/0x10
Sep 10 13:56:41 slayer kernel: [  852.330790]  [<ffffffff8174dd99>] system_call_fastpath+0x16/0x1b
Sep 10 13:56:41 slayer kernel: [  852.330792] BUG: scheduling while atomic: gkrellm/10162/0x10000002
Sep 10 13:56:41 slayer kernel: [  852.330794] INFO: lockdep is turned off.
Sep 10 13:56:41 slayer kernel: [  852.330795] Modules linked in: rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache fuse rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack w83627ehf hwmon_vid iTCO_wdt iTCO_vendor_support coretemp kvm_intel kvm snd_hda_codec_realtek microcode snd_hda_intel serio_raw snd_hda_codec snd_hwdep i2c_i801 lpc_ich mfd_core snd_seq snd_seq_device snd_pcm snd_page_alloc btusb bluetooth r8169 snd_timer mii rfkill snd soundcore shpchp acpi_cpufreq binfmt_misc uinput nfsd auth_rpcgss nfs_acl lockd sunrpc raid1 raid0 ata_generic pata_acpi btrfs libcrc32c xor raid6_pq firewire_ohci firewire_core pata_it8213 crc_itu_t i915 video i2c_algo_bit drm_kms_helper drm i2c_dev i2c_core
Sep 10 13:56:41 slayer kernel: [  852.330860] CPU: 2 PID: 10162 Comm: gkrellm Tainted: G      D      3.12.0-0.rc0.git18.1.fc21.x86_64 #1
Sep 10 13:56:41 slayer kernel: [  852.330862] Hardware name: Supermicro C2SEA/C2SEA, BIOS 1.0c 03/11/2009
Sep 10 13:56:41 slayer kernel: [  852.330864]  ffff88022f5d5240 ffff8801784658a0 ffffffff8173ae4b ffff8802260e4560
Sep 10 13:56:41 slayer kernel: [  852.330867]  ffff8801784658b8 ffffffff81735f2d ffff880178464000 ffff880178465918
Sep 10 13:56:41 slayer kernel: [  852.330871]  ffffffff81741a3f 00000000001d5240 ffff880178465fd8 ffff880178465fd8
Sep 10 13:56:41 slayer kernel: [  852.330875] Call Trace:
Sep 10 13:56:41 slayer kernel: [  852.330879]  [<ffffffff8173ae4b>] dump_stack+0x54/0x74
Sep 10 13:56:41 slayer kernel: [  852.330882]  [<ffffffff81735f2d>] __schedule_bug+0x66/0x75
Sep 10 13:56:41 slayer kernel: [  852.330885]  [<ffffffff81741a3f>] __schedule+0x84f/0x930
Sep 10 13:56:41 slayer kernel: [  852.330889]  [<ffffffff810b3856>] __cond_resched+0x26/0x30
Sep 10 13:56:41 slayer kernel: [  852.330891]  [<ffffffff81741f7a>] _cond_resched+0x3a/0x50
Sep 10 13:56:41 slayer kernel: [  852.330895]  [<ffffffff81740d5f>] down_read+0x2f/0xa0
Sep 10 13:56:41 slayer kernel: [  852.330897]  [<ffffffff8108d784>] exit_signals+0x24/0x130
Sep 10 13:56:41 slayer kernel: [  852.330901]  [<ffffffff8107947c>] do_exit+0xbc/0xcd0
Sep 10 13:56:41 slayer kernel: [  852.330904]  [<ffffffff810d8318>] ? kmsg_dump+0x1b8/0x240
Sep 10 13:56:41 slayer kernel: [  852.330907]  [<ffffffff810d8185>] ? kmsg_dump+0x25/0x240
Sep 10 13:56:41 slayer kernel: [  852.330910]  [<ffffffff81745ac2>] oops_end+0xa2/0xe0
Sep 10 13:56:41 slayer kernel: [  852.330913]  [<ffffffff8101e13b>] die+0x4b/0x70
Sep 10 13:56:41 slayer kernel: [  852.330916]  [<ffffffff81745340>] do_trap+0x60/0x170
Sep 10 13:56:41 slayer kernel: [  852.330919]  [<ffffffff8101b115>] do_invalid_op+0x95/0xb0
Sep 10 13:56:41 slayer kernel: [  852.330922]  [<ffffffff8120d3ac>] ? dget_parent+0x1ec/0x200
Sep 10 13:56:41 slayer kernel: [  852.330925]  [<ffffffff810b9b58>] ? sched_clock_cpu+0xa8/0x100
Sep 10 13:56:41 slayer kernel: [  852.330929]  [<ffffffff810e57bd>] ? trace_hardirqs_off+0xd/0x10
Sep 10 13:56:41 slayer kernel: [  852.330931]  [<ffffffff8137fc0d>] ? trace_hardirqs_off_thunk+0x3a/0x3c
Sep 10 13:56:41 slayer kernel: [  852.330934]  [<ffffffff81744ba3>] ? restore_args+0x30/0x30
Sep 10 13:56:41 slayer kernel: [  852.330938]  [<ffffffff8174f4ee>] invalid_op+0x1e/0x30
Sep 10 13:56:41 slayer kernel: [  852.330941]  [<ffffffff8120d3ac>] ? dget_parent+0x1ec/0x200
Sep 10 13:56:41 slayer kernel: [  852.330944]  [<ffffffff8120d302>] ? dget_parent+0x142/0x200
Sep 10 13:56:41 slayer kernel: [  852.330947]  [<ffffffff81200318>] handle_dots+0x1c8/0x2a0
Sep 10 13:56:41 slayer kernel: [  852.330950]  [<ffffffff812017c5>] link_path_walk+0x335/0x8c0
Sep 10 13:56:41 slayer kernel: [  852.330954]  [<ffffffff812021d4>] path_lookupat+0x394/0x7f0
Sep 10 13:56:41 slayer kernel: [  852.330957]  [<ffffffff811d3b8d>] ? kmem_cache_alloc+0x10d/0x370
Sep 10 13:56:41 slayer kernel: [  852.330960]  [<ffffffff8120265b>] filename_lookup+0x2b/0xd0
Sep 10 13:56:41 slayer kernel: [  852.330963]  [<ffffffff81206164>] user_path_at_empty+0x54/0x90
Sep 10 13:56:41 slayer kernel: [  852.330966]  [<ffffffff810e901d>] ? trace_hardirqs_on+0xd/0x10
Sep 10 13:56:41 slayer kernel: [  852.330969]  [<ffffffff81743d3c>] ? _raw_spin_unlock_irq+0x2c/0x50
Sep 10 13:56:41 slayer kernel: [  852.330972]  [<ffffffff812061b1>] user_path_at+0x11/0x20
Sep 10 13:56:41 slayer kernel: [  852.330975]  [<ffffffff811f9c30>] vfs_fstatat+0x50/0xa0
Sep 10 13:56:41 slayer kernel: [  852.330978]  [<ffffffff811f9e3f>] SYSC_newstat+0x1f/0x40
Sep 10 13:56:41 slayer kernel: [  852.330981]  [<ffffffff810e8f4d>] ? trace_hardirqs_on_caller+0xfd/0x1c0
Sep 10 13:56:41 slayer kernel: [  852.330984]  [<ffffffff8137fbce>] ? trace_hardirqs_on_thunk+0x3a/0x3f
Sep 10 13:56:41 slayer kernel: [  852.330987]  [<ffffffff811fa29e>] SyS_newstat+0xe/0x10
Sep 10 13:56:41 slayer kernel: [  852.330990]  [<ffffffff8174dd99>] system_call_fastpath+0x16/0x1b
Sep 10 13:56:41 slayer kernel: [  852.332034] note: gkrellm[10162] exited with preempt_count 1
Comment 6 Mace Moneta 2013-09-10 14:26:41 EDT
Prior to the bug, there were just a series of syslog MARK entries, as I just let the system sit there after boot until the failure.  Also interesting, I installed the git16 and git18 kernels on an AMD FM2 dual core headless server (AMD E-450 APU, also using btrfs, but not as root), and no bugs seen there. The system seeing the issue is an Intel Core2 Quad Q9300.
Comment 7 Mace Moneta 2013-09-10 15:33:00 EDT
Created attachment 796121 [details]
Patch from Linus

Kernel built and testing with this patch now applied to kernel-3.12.0-0.rc0.git18.1.fc21.x86_64.
Comment 8 Mace Moneta 2013-09-10 15:57:05 EDT
The patch looks good; no recurrence. It has only taken 3-5 minutes before, and I've been up for about half an hour now.
Comment 9 Josh Boyer 2013-09-10 17:51:01 EDT
Thanks.  This turned into:

commit d0d272771035a36a7839bb70ab6ebae3f4f4960b
Author: Linus Torvalds <torvalds@linux-foundation.org>
Date:   Tue Sep 10 12:17:49 2013 -0700

    vfs: make sure we don't have a stale root path if unlazy_walk() fails

upstream and will be in the next build.

We really appreciate your report and testing.
Comment 10 Josh Boyer 2013-09-11 07:55:18 EDT
Should be in the .git19 kernel in rawhide today.

Note You need to log in before you can comment on or make changes to this bug.